curl --request GET \
--url https://api.ngrok.ai/access-keys/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ngrok.ai/access-keys/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ngrok.ai/access-keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"uri": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "<string>",
"uri": "<string>"
},
"lastUpdatedBy": {
"id": "<string>",
"uri": "<string>"
},
"keyRedacted": "<string>",
"name": "<string>",
"description": "<string>",
"metadata": "<string>",
"token": "<string>",
"lastUsed": "2023-11-07T05:31:56Z",
"accessKeyConfiguration": {
"id": "<string>",
"uri": "<string>",
"name": "<string>"
}
}{
"statusCode": 123,
"msg": "<string>",
"details": {},
"errorCode": "<string>"
}Get an AI Gateway access key
Get a single AI Gateway access key by ID.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier for an AI Gateway access key.
Response
The AI Gateway access key.
Unique identifier for this access key.
URI of this AI Gateway Access Key API resource.
Timestamp when the access key was created.
Timestamp when the access key was last updated.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Redacted display form of the access key token.
User-friendly label for this access key.
Human-readable description of this access key.
Arbitrary user-defined metadata for this access key.
Plaintext access key token. Only returned when the key is first created.
Timestamp when the access key was last used.
Linked access key configuration, or null for allow-all scope.
Show child attributes
Show child attributes
Was this page helpful?